%global pkg_name        Test-TableDriven
%global pkg_version     0.02
%global rpm_pkg_version 0.02
%global rpm_pkg_release 1.n0i.1

Summary:       Perl module for writing table-driven tests
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Test/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Data::Dumper)


%description
Test::TableDriven makes writing the test drivers trivial. You simply define
your test cases and write a function that turns the input data into output
data to compare against.  Test::TableDriven will compute how many tests need
to be run, and then run the tests.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Sat Oct 20 2007 Marius Feraru <altblue@n0i.net> - 0.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.02
